Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 07 Jan 2023 14:22:42 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have contacted your customer service  and spoken to at least 5 people regarding my problems  it’s been more than 12 days I initiated my first return regarding a two damaged items but no one came to pick up or exchange. Then iv called and asked to put in a return as when I do online, I receive a message the next day that I myself cancelled my return request. I have items waiting to be pickup, damaged items, items missing parts and items I don’t need as they came later than expected, but no one has come to pick up. I am tired of calling. My Amazon items were given accidentally to the Centrepoint guy. I am tired of calling and repeating myself. Worst customer service ever experienced https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5482623